webpackJsonp([50],{

/***/ 153:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DatabaseProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ionic_native_sqlite__ = __webpack_require__(241);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_device__ = __webpack_require__(89);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ionic_angular__ = __webpack_require__(68);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/*
  Generated class for the DatabaseProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var DatabaseProvider = /** @class */ (function () {
    function DatabaseProvider(http, sqlite, device, toastCtrl) {
        this.http = http;
        this.sqlite = sqlite;
        this.device = device;
        this.toastCtrl = toastCtrl;
        console.log('Hello DatabaseProvider Provider');
    }
    /*this.uniqueDeviceID.get()
    .then((uuid: any) => console.log("id:"+uuid))
    .catch((error: any) => console.log("erro:"+error));*/
    /**
     * Cria um banco caso não exista ou pega um banco existente com o nome no parametro
     */
    DatabaseProvider.prototype.alert = function () {
        var toast = this.toastCtrl.create({
            message: this.device.platform + ' criou o banco...',
            duration: 5000
        });
        toast.present();
    };
    DatabaseProvider.prototype.getDB = function () {
        if (this.device.platform == 'iOS') {
            //this.alert();
            return this.sqlite.create({
                name: 'winsae_ios.db',
                iosDatabaseLocation: 'Documents'
            });
        }
        else {
            //this.alert();
            return this.sqlite.create({
                name: 'winsae_android.db',
                location: 'default'
            });
        }
    };
    /**
     * Cria a estrutura inicial do banco de dados
     */
    DatabaseProvider.prototype.createDatabase = function () {
        var _this = this;
        return this.getDB()
            .then(function (db) {
            _this.createTables(db);
        })
            .catch(function (e) { return console.log(e); });
    };
    /**
     * Criando as tabelas no banco de dados
     * @param db
     */
    DatabaseProvider.prototype.createTables = function (db) {
        // Criando as tabelas
        db.sqlBatch([
            ['CREATE TABLE IF NOT EXISTS balanco (pedido INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, data TEXT, loja TEXT, uuid TEXT, platform TEXT, modelo TEXT, data_envio TEXT)'],
            ['CREATE TABLE IF NOT EXISTS balanco_itens (ID INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, pedido TEXT NOT NULL, codigo TEXT, quantidade TEXT)'],
            ['CREATE TABLE IF NOT EXISTS maquininha (ID INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, ADQUIRENTE TEXT NOT NULL, LOJA TEXT, ATIVO TEXT)'],
            ['CREATE TABLE IF NOT EXISTS servidor (ID INTEGER PRIMARY KEY, TOKEN TEXT, USUARIO TEXT, SENHA TEXT, EMPRESA TEXT)']
        ])
            .then(function () { return console.log('Tabelas criadas'); })
            .catch(function (e) { return console.error('Erro ao criar as tabelas', e); });
    };
    DatabaseProvider.prototype.insertMaquininha = function (adquirente, loja, ativo) {
        var _this = this;
        this.removeMaquininha(adquirente, loja);
        return this.getDB()
            .then(function (db) {
            var sql = ' insert into MAQUININHA (ADQUIRENTE, LOJA, ATIVO) values (?, ?, ?) ';
            var data = [adquirente, loja, ativo];
            return db.executeSql(sql, data)
                .catch(function (e) { return console.error(e); }), _this.msgToast("A informação foi salva com sucesso! " + ativo);
        })
            .catch(function (e) { return console.error(e); });
    };
    DatabaseProvider.prototype.insertServidor = function (id, token, usuario, senha, empresa) {
        var _this = this;
        this.remove(id);
        return this.getDB()
            .then(function (db) {
            var sql = ' insert into SERVIDOR (ID, TOKEN, USUARIO, SENHA, EMPRESA) values (?, ?, ?, ?, ?) ';
            var data = [id, token, usuario, senha, empresa];
            return db.executeSql(sql, data)
                .catch(function (e) { return console.error(e); }), _this.msgToast("A informação foi salva com sucesso!");
        })
            .catch(function (e) { return console.error(e); });
    };
    DatabaseProvider.prototype.updateServidor = function (id, token, usuario, senha) {
        var _this = this;
        return this.getDB()
            .then(function (db) {
            var sql = ' update SERVIDOR set TOKEN = ?, USUARIO = ?, SENHA = ? where ID =? ';
            var data = [token, usuario, senha, id];
            return db.executeSql(sql, data)
                .catch(function (e) { return console.error(e); }), _this.msgToast("A informação foi salva com sucesso!");
        })
            .catch(function (e) { return console.error(e); });
    };
    DatabaseProvider.prototype.remove = function (id) {
        return this.getDB()
            .then(function (db) {
            var sql = 'delete from SERVIDOR where ID = ?';
            var data = [id];
            return db.executeSql(sql, data)
                .catch(function (e) { return console.error(e); });
        })
            .catch(function (e) { return console.error(e); });
    };
    DatabaseProvider.prototype.removeMaquininha = function (adquirente, loja) {
        return this.getDB()
            .then(function (db) {
            var sql = 'delete from MAQUININHA where ADQUIRENTE = ? and LOJA = ?';
            var data = [adquirente, loja];
            return db.executeSql(sql, data)
                .catch(function (e) { return console.error(e); });
        })
            .catch(function (e) { return console.error(e); });
    };
    DatabaseProvider.prototype.msgToast = function (mensagem) {
        var toast = this.toastCtrl.create({
            message: mensagem,
            duration: 3000,
            position: 'bottom'
        });
        toast.onDidDismiss(function () {
            console.log('Dismissed toast');
        });
        toast.present();
    };
    DatabaseProvider.prototype.consultarMaquininha = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.getDB().then(function (db) {
                var sql = "";
                sql = ' select ID, ADQUIRENTE, LOJA, ATIVO from MAQUININHA ';
                db.executeSql(sql, []).then(function (data) {
                    var maquininhas = [];
                    if (data.rows.length > 0) {
                        for (var i = 0; i < data.rows.length; i++) {
                            maquininhas.push(data.rows.item(i));
                        }
                    }
                    resolve(maquininhas);
                }).catch(function (e) { return console.log("consultarMaquininhas_1_" + e.message); });
            })
                .catch(function (e) { return console.log("consultarMaquininhas_2_" + e.message); });
        });
    };
    DatabaseProvider.prototype.consultarServidores = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.getDB().then(function (db) {
                // sql = ' select idcliente as CODCLIE, nomecliente as NOME, cnpjcliente as CGC, cpfcliente AS CPF, cepcliente AS CEP, ufcliente AS UF, cidadecliente AS CIDA, datainclusao, whatsapp AS TELE, endereco AS ENDE, bairro AS BAIRRO, bloqueado as BLOQUEADO, COD_UF, COD_CIDA from cliente where nomecliente like "'+nome+'%" or cnpjcliente = "'+nome+'" or cpfcliente = "'+nome+'" group by idcliente, nomecliente, cnpjcliente, cpfcliente, cepcliente, ufcliente, cidadecliente, datainclusao, whatsapp, endereco, bairro, bloqueado, COD_UF, COD_CIDA order by nomecliente ';
                var sql = "";
                sql = ' select ID, TOKEN, USUARIO, SENHA, EMPRESA from servidor ';
                db.executeSql(sql, []).then(function (data) {
                    var servidores = [];
                    if (data.rows.length > 0) {
                        for (var i = 0; i < data.rows.length; i++) {
                            servidores.push(data.rows.item(i));
                        }
                    }
                    resolve(servidores);
                }).catch(function (e) { return console.log("consultarServidores_1_" + e.message); });
            })
                .catch(function (e) { return console.log("consultarServidores_2_" + e.message); });
        });
    };
    DatabaseProvider.prototype.consultarServidorID = function (id) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.getDB().then(function (db) {
                // sql = ' select idcliente as CODCLIE, nomecliente as NOME, cnpjcliente as CGC, cpfcliente AS CPF, cepcliente AS CEP, ufcliente AS UF, cidadecliente AS CIDA, datainclusao, whatsapp AS TELE, endereco AS ENDE, bairro AS BAIRRO, bloqueado as BLOQUEADO, COD_UF, COD_CIDA from cliente where nomecliente like "'+nome+'%" or cnpjcliente = "'+nome+'" or cpfcliente = "'+nome+'" group by idcliente, nomecliente, cnpjcliente, cpfcliente, cepcliente, ufcliente, cidadecliente, datainclusao, whatsapp, endereco, bairro, bloqueado, COD_UF, COD_CIDA order by nomecliente ';
                var sql = "";
                sql = ' select ID, TOKEN, USUARIO, SENHA, EMPRESA from SERVIDOR where ID = ? ';
                db.executeSql(sql, [id]).then(function (data) {
                    var servidores = [];
                    if (data.rows.length > 0) {
                        for (var i = 0; i < data.rows.length; i++) {
                            servidores.push(data.rows.item(i));
                        }
                    }
                    resolve(servidores);
                }).catch(function (e) { return console.log("1_" + e.message); });
            })
                .catch(function (e) { return console.log("2_" + e.message); });
        });
    };
    DatabaseProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["B" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */], __WEBPACK_IMPORTED_MODULE_1__ionic_native_sqlite__["a" /* SQLite */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_device__["a" /* Device */], __WEBPACK_IMPORTED_MODULE_4_ionic_angular__["q" /* ToastController */]])
    ], DatabaseProvider);
    return DatabaseProvider;
}());

//# sourceMappingURL=database.js.map

/***/ }),

/***/ 194:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 194;

/***/ }),

/***/ 236:
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"../pages/abertura-de-caixa/abertura-de-caixa.module": [
		504,
		49
	],
	"../pages/cadastrar-servidor/cadastrar-servidor.module": [
		503,
		48
	],
	"../pages/cadastro-clientes/cadastro-clientes.module": [
		517,
		47
	],
	"../pages/cancelamento-de-vendas/cancelamento-de-vendas.module": [
		505,
		46
	],
	"../pages/coletar-dados-detalhe/coletar-dados-detalhe.module": [
		506,
		45
	],
	"../pages/coletar-dados-processar/coletar-dados-processar.module": [
		508,
		44
	],
	"../pages/coletar-dados/coletar-dados.module": [
		507,
		43
	],
	"../pages/coletorTabs/coletorTabs.module": [
		509,
		42
	],
	"../pages/conferencia-pedidos/conferencia-pedidos.module": [
		510,
		41
	],
	"../pages/consulta-pedidos/consulta-pedidos.module": [
		511,
		40
	],
	"../pages/devolucao-mercadoria-itens/devolucao-mercadoria-itens.module": [
		515,
		39
	],
	"../pages/devolucao-mercadoria/devolucao-mercadoria.module": [
		512,
		38
	],
	"../pages/fecha-caixa/fecha-caixa.module": [
		516,
		37
	],
	"../pages/filtro/filtro.module": [
		513,
		36
	],
	"../pages/fluxo-pessoas/fluxo-pessoas.module": [
		514,
		35
	],
	"../pages/frente1/frente1.module": [
		520,
		34
	],
	"../pages/frente2/frente2.module": [
		519,
		33
	],
	"../pages/home/home.module": [
		521,
		32
	],
	"../pages/lista-aniversariantes/lista-aniversariantes.module": [
		518,
		31
	],
	"../pages/lista-cadastrar-presentes/lista-cadastrar-presentes.module": [
		522,
		30
	],
	"../pages/lista-de-vez/lista-de-vez.module": [
		524,
		29
	],
	"../pages/lista-motivos-desistencia/lista-motivos-desistencia.module": [
		525,
		28
	],
	"../pages/lista-presentes/lista-presentes.module": [
		523,
		27
	],
	"../pages/login/login.module": [
		526,
		2
	],
	"../pages/maquininha-tef/maquininha-tef.module": [
		527,
		26
	],
	"../pages/modal-cielo/modal-cielo.module": [
		528,
		1
	],
	"../pages/modal-cliente/modal-cliente.module": [
		529,
		25
	],
	"../pages/modal-conferencia/modal-conferencia.module": [
		530,
		24
	],
	"../pages/modal-vendas/modal-vendas.module": [
		531,
		23
	],
	"../pages/modal-vendedores/modal-vendedores.module": [
		532,
		22
	],
	"../pages/ponto-colaborador/ponto-colaborador.module": [
		533,
		21
	],
	"../pages/pre-venda-cliente/pre-venda-cliente.module": [
		535,
		20
	],
	"../pages/pre-venda-detalhe/pre-venda-detalhe.module": [
		534,
		19
	],
	"../pages/pre-venda-finalizar/pre-venda-finalizar.module": [
		536,
		18
	],
	"../pages/pre-venda-itens/pre-venda-itens.module": [
		539,
		17
	],
	"../pages/pre-venda-tabs/pre-venda-tabs.module": [
		537,
		16
	],
	"../pages/printer/printer.module": [
		538,
		0
	],
	"../pages/produtos-estoque/produtos-estoque.module": [
		543,
		15
	],
	"../pages/register/register.module": [
		541,
		14
	],
	"../pages/special/special.module": [
		542,
		13
	],
	"../pages/splash/splash.module": [
		540,
		12
	],
	"../pages/status-link/status-link.module": [
		545,
		11
	],
	"../pages/tab1/tab1.module": [
		546,
		3
	],
	"../pages/tab2/tab2.module": [
		547,
		10
	],
	"../pages/tabs/tabs.module": [
		544,
		9
	],
	"../pages/tela-tef/tela-tef.module": [
		549,
		8
	],
	"../pages/transferencia-detalhes/transferencia-detalhes.module": [
		552,
		7
	],
	"../pages/transferencia-inicio/transferencia-inicio.module": [
		548,
		6
	],
	"../pages/transferencia-itens/transferencia-itens.module": [
		551,
		5
	],
	"../pages/transferencia-lojas/transferencia-lojas.module": [
		550,
		4
	]
};
function webpackAsyncContext(req) {
	var ids = map[req];
	if(!ids)
		return Promise.reject(new Error("Cannot find module '" + req + "'."));
	return __webpack_require__.e(ids[1]).then(function() {
		return __webpack_require__(ids[0]);
	});
};
webpackAsyncContext.keys = function webpackAsyncContextKeys() {
	return Object.keys(map);
};
webpackAsyncContext.id = 236;
module.exports = webpackAsyncContext;

/***/ }),

/***/ 286:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PipesModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__group_estoque_group_estoque__ = __webpack_require__(474);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__group_estoque_arredondamento__ = __webpack_require__(477);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__converter_data_converter_data__ = __webpack_require__(478);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__formatar_dinheiro_formatar_dinheiro__ = __webpack_require__(479);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__arredondar_arredondar__ = __webpack_require__(480);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};






var PipesModule = /** @class */ (function () {
    function PipesModule() {
    }
    PipesModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [__WEBPACK_IMPORTED_MODULE_1__group_estoque_group_estoque__["a" /* GroupEstoquePipe */], __WEBPACK_IMPORTED_MODULE_2__group_estoque_arredondamento__["a" /* ArredondamentoPipe */],
                __WEBPACK_IMPORTED_MODULE_3__converter_data_converter_data__["a" /* ConverterDataPipe */],
                __WEBPACK_IMPORTED_MODULE_4__formatar_dinheiro_formatar_dinheiro__["a" /* FormatarDinheiroPipe */],
                __WEBPACK_IMPORTED_MODULE_4__formatar_dinheiro_formatar_dinheiro__["a" /* FormatarDinheiroPipe */],
                __WEBPACK_IMPORTED_MODULE_5__arredondar_arredondar__["a" /* ArredondarPipe */]],
            exports: [__WEBPACK_IMPORTED_MODULE_1__group_estoque_group_estoque__["a" /* GroupEstoquePipe */], __WEBPACK_IMPORTED_MODULE_2__group_estoque_arredondamento__["a" /* ArredondamentoPipe */],
                __WEBPACK_IMPORTED_MODULE_3__converter_data_converter_data__["a" /* ConverterDataPipe */],
                __WEBPACK_IMPORTED_MODULE_4__formatar_dinheiro_formatar_dinheiro__["a" /* FormatarDinheiroPipe */],
                __WEBPACK_IMPORTED_MODULE_4__formatar_dinheiro_formatar_dinheiro__["a" /* FormatarDinheiroPipe */],
                __WEBPACK_IMPORTED_MODULE_5__arredondar_arredondar__["a" /* ArredondarPipe */]],
            providers: [__WEBPACK_IMPORTED_MODULE_1__group_estoque_group_estoque__["a" /* GroupEstoquePipe */], __WEBPACK_IMPORTED_MODULE_2__group_estoque_arredondamento__["a" /* ArredondamentoPipe */]],
            imports: []
        })
    ], PipesModule);
    return PipesModule;
}());

//# sourceMappingURL=pipes.module.js.map

/***/ }),

/***/ 287:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PreVendaProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_http__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__auth_service_auth_service__ = __webpack_require__(38);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/*
  Generated class for the PreVendaProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var PreVendaProvider = /** @class */ (function () {
    function PreVendaProvider(http, auth) {
        this.http = http;
        this.auth = auth;
        console.log('Hello PreVendaProvider Provider');
    }
    PreVendaProvider.prototype.deletarItens = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/deletarItensPedido', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.inserirItens = function (itens) {
        var _this = this;
        if (itens[1][0]['pedido'] == undefined) {
            itens[1][0]['pedido'] = "";
        }
        if (itens[1][0]['pedido'] == 'undefined') {
            itens[1][0]['pedido'] = "";
        }
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/inserirItensp', itens)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(alert(error.json()));
            });
        });
    };
    PreVendaProvider.prototype.consultarPedidos = function (pedido) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/consultarMovimentacaoItensPedido', pedido)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.consultarCondicao = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/consultarCondicaoPagto', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.consultarVendedores = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/consultarVendedoresPorLoja', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.consultarTipoDeDocumento = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/consultaTipoDeDocumento', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.apagarPedido = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/deletarPedido', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.atualizarPedido = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/atualizarVendaFinalizarPedido', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.inserirLocalizacaoLojaVendedor = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/inserirLocalizacaoLojaVendedor', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.motivoDesistenciaVenda = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/motivoDesistenciaVenda', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.insertPontoInteligente = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/insertPontoInteligente', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.consultarPedidoPreVenda = function () {
        var _this = this;
        var arr = {
            "id": this.auth.Id,
            "loja": this.auth.Usuario.loja
        };
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/consultarPedidoPreVenda', arr)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.consultarPedidoNumero = function (pedido) {
        var _this = this;
        var arr = {
            "id": this.auth.Id,
            "pedido": pedido
        };
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/consultarPedidoPorNumero', arr)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.consultarPedidoNumeroItens = function (pedido) {
        var _this = this;
        var arr = {
            "id": this.auth.Id,
            "pedido": pedido
        };
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/consultarPedidoPorNumeroItens', arr)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.atualizarPedidoNFCe = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/atualizarRece01NFCe', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.emitirCupomFiscal = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/emitirNFe', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.pesquisarAberturaDeCaixa = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/pesquisarFundoDeCaixa', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.abrirFundoDeCaixa = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/abrirFundoDeCaixa', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.buscarFecharCaixa = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/buscarFechamentoDeCaixa', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.salvarFecharCaixa = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/salvarFechamentoDeCaixa', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.buscarVendasCancelamento = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/desempenhoVendasVendedores', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.efetuarCancelamento = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/cancelarNFe', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.efetuarCancelamentoVenda = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/cancelarVenda', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.consultarPedidosDevolucao = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/buscarPedidoDevolucao', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.consultarItensPedidosDevolucao = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/buscarItensPedidoDevolucao', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.inserirItensPedidosDevolucao = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/inserirItensDevolucao', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.enviarLinkCielo = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/criarLinkCielo', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.enviarLinkPicPay = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/criarLinkPicPay', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.enviarBoleto = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/gerarBoletoApiPagHiper', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.statusPagamentoPorLink = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/consultarStatusLinkPagamento', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.statusLinkPicPay = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/statusPicPay', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.statusBoletoApiPagHiper = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/statusBoletoApiPagHiper', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.consultarStatusLinkCielo = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/consultarStatusLinkCielo', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.consultarToken = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/validarDadosLio', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.criarVendaLio = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/criarVendaLio', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider.prototype.consultarVendaLio = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/consultarVendaLio', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    PreVendaProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["B" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_http__["a" /* Http */], __WEBPACK_IMPORTED_MODULE_2__auth_service_auth_service__["a" /* AuthServiceProvider */]])
    ], PreVendaProvider);
    return PreVendaProvider;
}());

//# sourceMappingURL=pre-venda.js.map

/***/ }),

/***/ 288:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return RelatoriosEstoqueProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__auth_service_auth_service__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(28);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/*
  Generated class for the RelatoriosEstoqueProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var RelatoriosEstoqueProvider = /** @class */ (function () {
    function RelatoriosEstoqueProvider(http, auth) {
        this.http = http;
        this.auth = auth;
        console.log('Hello RelatoriosEstoqueProvider Provider');
    }
    RelatoriosEstoqueProvider.prototype.buscarFotoProduto = function (Parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/consultarProdutoFoto', Parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    RelatoriosEstoqueProvider.prototype.buscarEstoqueIndividual = function (Parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/buscarEstoquep', Parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    RelatoriosEstoqueProvider.prototype.inserirFotoAleatoria = function (Parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/inserirFotoAleatoria', Parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    RelatoriosEstoqueProvider.prototype.buscarLojas = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/buscarLojasp', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    RelatoriosEstoqueProvider.prototype.buscarParametroEmpresa = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/buscarParametroEmpresa', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    RelatoriosEstoqueProvider.prototype.buscarPromocaoCampanha = function (Parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/buscarCadastroDeCampanhas', Parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    RelatoriosEstoqueProvider.prototype.inserirCabecalhoTransferencia = function (Parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/inserirCabecalhoTransferencia', Parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    RelatoriosEstoqueProvider.prototype.inserirItensTransferencia = function (Parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/inserirItensTransferencia', Parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    RelatoriosEstoqueProvider.prototype.deletarItens = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/deletarItensTransferencia', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    RelatoriosEstoqueProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["B" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */], __WEBPACK_IMPORTED_MODULE_1__auth_service_auth_service__["a" /* AuthServiceProvider */]])
    ], RelatoriosEstoqueProvider);
    return RelatoriosEstoqueProvider;
}());

//# sourceMappingURL=relatorios-estoque.js.map

/***/ }),

/***/ 294:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ClienteProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__auth_service_auth_service__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(28);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/*
  Generated class for the ClienteProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var ClienteProvider = /** @class */ (function () {
    function ClienteProvider(http, auth) {
        this.http = http;
        this.auth = auth;
        console.log('Hello ClienteProvider Provider');
    }
    ClienteProvider.prototype.buscarTodosClientes = function (Parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/consultaTodosClientes', Parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    ClienteProvider.prototype.buscarClienteIndividual = function (Parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/consultaClienteCpf', Parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    ClienteProvider.prototype.inserirClienteIndividual = function (Parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/saveCliente', Parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    ClienteProvider.prototype.atualizarVendaCliente = function (Parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/atualizarVendaCliente', Parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    ClienteProvider.prototype.consultarClienteWebServices = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/consultarCNPJ', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    ClienteProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["B" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1__auth_service_auth_service__["a" /* AuthServiceProvider */]])
    ], ClienteProvider);
    return ClienteProvider;
}());

//# sourceMappingURL=cliente.js.map

/***/ }),

/***/ 295:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ListaEventoProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_http__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__auth_service_auth_service__ = __webpack_require__(38);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/*
  Generated class for the ListaEventoProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var ListaEventoProvider = /** @class */ (function () {
    function ListaEventoProvider(http, auth) {
        this.http = http;
        this.auth = auth;
        console.log('Hello ListaEventoProvider Provider');
    }
    ListaEventoProvider.prototype.inserirEvento = function (Parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/inserirEvento', Parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    ListaEventoProvider.prototype.consultarEvento = function (Parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/consultarEvento', Parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    ListaEventoProvider.prototype.salvarItensEvento = function (Parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/salvarItensEvento', Parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    ListaEventoProvider.prototype.consultarItensEvento = function (Parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/consultarItensEvento', Parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    ListaEventoProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["B" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_http__["a" /* Http */],
            __WEBPACK_IMPORTED_MODULE_2__auth_service_auth_service__["a" /* AuthServiceProvider */]])
    ], ListaEventoProvider);
    return ListaEventoProvider;
}());

//# sourceMappingURL=lista-evento.js.map

/***/ }),

/***/ 296:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return VendedoresProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__auth_service_auth_service__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(28);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/*
  Generated class for the VendedoresProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var VendedoresProvider = /** @class */ (function () {
    function VendedoresProvider(http, auth) {
        this.http = http;
        this.auth = auth;
        console.log('Hello VendedoresProvider Provider');
    }
    VendedoresProvider.prototype.pesquisarVendedores = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/consultarVendedores', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    VendedoresProvider.prototype.atualizarLojaVendedores = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/atualizarLojaVendedores', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    VendedoresProvider.prototype.salvarPonto = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/salvarPonto', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    VendedoresProvider.prototype.buscarVendedoresCpfCodigo = function (parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/buscarVendedoresCpfCodigo', parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    VendedoresProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["B" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */], __WEBPACK_IMPORTED_MODULE_1__auth_service_auth_service__["a" /* AuthServiceProvider */]])
    ], VendedoresProvider);
    return VendedoresProvider;
}());

//# sourceMappingURL=vendedores.js.map

/***/ }),

/***/ 300:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BalancoProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_http__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__auth_service_auth_service__ = __webpack_require__(38);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/*
  Generated class for the BalancoProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var BalancoProvider = /** @class */ (function () {
    function BalancoProvider(http, auth) {
        this.http = http;
        this.auth = auth;
    }
    BalancoProvider.prototype.enviarBalanco = function (Parametro) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.auth.URL + '/salvarBalanco', Parametro)
                .subscribe(function (result) {
                resolve(result.json());
            }, function (error) {
                reject(error.json());
            });
        });
    };
    BalancoProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["B" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_http__["a" /* Http */], __WEBPACK_IMPORTED_MODULE_2__auth_service_auth_service__["a" /* AuthServiceProvider */]])
    ], BalancoProvider);
    return BalancoProvider;
}());

//# sourceMappingURL=balanco.js.map

/***/ }),

/***/ 303:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CepProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_http__ = __webpack_require__(28);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/*
  Generated class for the CepProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var CepProvider = /** @class */ (function () {
    function CepProvider(http) {
        this.http = http;
        console.log('Hello CepProvider Provider');
    }
    CepProvider.prototype.buscarCep = function (cep) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.get("https://viacep.com.br/ws/" + cep + "/json/")
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    CepProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["B" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_http__["a" /* Http */]])
    ], CepProvider);
    return CepProvider;
}());

//# sourceMappingURL=cep.js.map

/***/ }),

/***/ 304:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PrinterProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_http__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_bluetooth_serial__ = __webpack_require__(244);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var PrinterProvider = /** @class */ (function () {
    function PrinterProvider(http, bluetoothSerial) {
        this.http = http;
        this.bluetoothSerial = bluetoothSerial;
        console.log('Hello PrinterProvider Provider');
    }
    PrinterProvider.prototype.enableBluetooth = function () {
        return this.bluetoothSerial.enable();
    };
    PrinterProvider.prototype.searchBluetooth = function () {
        return this.bluetoothSerial.list();
    };
    PrinterProvider.prototype.connectBluetooth = function (address) {
        console.log("macAddress_or_uuid: " + address);
        return this.bluetoothSerial.connect(address);
    };
    PrinterProvider.prototype.printData = function (data) {
        return this.bluetoothSerial.write(data);
    };
    PrinterProvider.prototype.disconnectBluetooth = function () {
        return this.bluetoothSerial.disconnect();
    };
    PrinterProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["B" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__angular_http__["a" /* Http */], __WEBPACK_IMPORTED_MODULE_2__ionic_native_bluetooth_serial__["a" /* BluetoothSerial */]])
    ], PrinterProvider);
    return PrinterProvider;
}());

//# sourceMappingURL=printer.js.map

/***/ }),

/***/ 305:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(306);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_module__ = __webpack_require__(438);


Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_1__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 38:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* unused harmony export idd */
/* unused harmony export User */
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AuthServiceProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__ = __webpack_require__(35);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_add_operator_map__ = __webpack_require__(88);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_file_transfer__ = __webpack_require__(237);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_file__ = __webpack_require__(239);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_document_viewer__ = __webpack_require__(240);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var idd = /** @class */ (function () {
    function idd() {
        this.id = '';
    }
    return idd;
}());

var User = /** @class */ (function () {
    function User(codigo, descvenda, gerente, loja, nome, status, vendedor) {
        this.codigo = 'codigo';
        this.descvenda = 1.09;
        this.loja = loja;
        this.nome = nome;
        this.status = status;
        this.vendedor = vendedor;
    }
    return User;
}());

var AuthServiceProvider = /** @class */ (function () {
    function AuthServiceProvider(http, alertCtrl, plat, file, doc, transfer) {
        this.http = http;
        this.alertCtrl = alertCtrl;
        this.plat = plat;
        this.file = file;
        this.doc = doc;
        this.transfer = transfer;
        this.web = false;
        this.movel = false;
        this.cielo = false;
        this.pagSeguro = false;
        this.URL = 'https://winsae.com.br/tecnodata/index.php/api/Rest'; // (PRINCIPAL)
        // public URL = 'http://192.168.1.4:8081/index.php/api/Rest';
        // public URL = 'http://127.0.0.1:8081/index.php/api/Rest';
        // public URL = 'http://www.tecnodataonline.com.br:8081/index.php/api/Rest';
        this.vendas = {
            "pedi01": {
                pedido: "",
                vendedor: "",
                bruto: 0,
                nomeVendedor: ""
            },
            "movi01": [],
            "rece01": [],
            "clie01": [],
        };
        this.Usuario = {
            codigo: '',
            descvenda: 0,
            gerente: '',
            loja: '',
            nome: '',
            status: '',
            vendedor: '',
            longitude: 0,
            latitude: 0,
            uf: '',
            senhaCertificado: '',
            cnpj: '',
            idToken: '',
            token: ''
        };
    }
    AuthServiceProvider.prototype.download = function (chave) {
        var _this = this;
        var opt = {
            title: "Nota Fiscal"
        };
        var path = null;
        if (this.plat.is('ios')) {
            path = this.file.documentsDirectory;
        }
        else {
            path = this.file.dataDirectory;
        }
        var fileTransfer = this.transfer.create();
        var url = this.URL + '/downloadNFe?chave=' + chave;
        fileTransfer.download(url, path + chave + '.pdf').then(function (entry) {
            _this.doc.viewDocument(entry.toURL(), 'application/pdf', opt);
        }, function (error) {
            // handle error
        });
    };
    AuthServiceProvider.prototype.buscarConferenciaPedido = function (Parametro) {
        var _this = this;
        this.parametro = {
            "id": this.Id,
            "pedido": Parametro
        };
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.URL + '/buscarPedido', _this.parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                reject(error.json());
            });
        });
    };
    AuthServiceProvider.prototype.atualizarEAN = function (codprod, numero, codbarra) {
        var _this = this;
        this.parametro = {
            "id": this.Id,
            "codprod": codprod,
            "numero": numero,
            "codbarra": codbarra
        };
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.URL + '/atualizarEAN13', _this.parametro)
                .subscribe(function (result) {
                if (result._body != "") {
                    resolve(result.json());
                }
            }, function (error) {
                //reject(error.json());
                if (error.status == 0) {
                    _this.Alert("O servidor não esta ativo!");
                }
                else {
                    _this.Alert(error.statusText);
                }
            });
        });
    };
    AuthServiceProvider.prototype.login = function (credentials) {
        var _this = this;
        this.Id = credentials['id'];
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.URL + '/loginp', credentials)
                .subscribe(function (result) {
                resolve(result.json());
            }, function (error) {
                if (error.status == 0) {
                    _this.Alert("O servidor não esta ativo!");
                }
                else {
                    _this.Alert(error.statusText);
                }
            });
        });
    };
    AuthServiceProvider.prototype.loginCredencial = function (credentials) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.URL + '/credenciarDescontop', credentials)
                .subscribe(function (result) {
                resolve(result.json());
            }, function (error) {
                reject(error.json());
            });
        });
    };
    AuthServiceProvider.prototype.register = function (credentials) {
        if (credentials.email === null || credentials.password === null) {
            return __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__["Observable"].throw("Please insert credentials");
        }
        else {
            // At this point store the credentials to your backend!
            return __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__["Observable"].create(function (observer) {
                observer.next(true);
                observer.complete();
            });
        }
    };
    AuthServiceProvider.prototype.getUserInfo = function () {
        return this.currentUser;
    };
    AuthServiceProvider.prototype.logout = function () {
        var _this = this;
        return __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__["Observable"].create(function (observer) {
            _this.currentUser = null;
            observer.next(true);
            observer.complete();
        });
    };
    AuthServiceProvider.prototype.consultarServidor = function (cnpj) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.post(_this.URL + '/consultarServidor', cnpj)
                .subscribe(function (result) {
                resolve(result.json());
            }, function (error) {
                if (error.status == 0) {
                    _this.Alert("O servidor não esta ativo!");
                }
                else {
                    _this.Alert(error.statusText);
                }
            });
        });
    };
    AuthServiceProvider.prototype.Alert = function (msg) {
        var alert = this.alertCtrl.create({
            title: 'Ops!',
            subTitle: msg,
            buttons: ['OK']
        });
        alert.present();
    };
    AuthServiceProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["B" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Http */], __WEBPACK_IMPORTED_MODULE_4_ionic_angular__["b" /* AlertController */], __WEBPACK_IMPORTED_MODULE_4_ionic_angular__["o" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_file__["a" /* File */],
            __WEBPACK_IMPORTED_MODULE_7__ionic_native_document_viewer__["a" /* DocumentViewer */], __WEBPACK_IMPORTED_MODULE_5__ionic_native_file_transfer__["a" /* FileTransfer */]])
    ], AuthServiceProvider);
    return AuthServiceProvider;
}());

//# sourceMappingURL=auth-service.js.map

/***/ }),

/***/ 438:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__ = __webpack_require__(45);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_http__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_splash_screen__ = __webpack_require__(284);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_status_bar__ = __webpack_require__(285);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__app_component__ = __webpack_require__(500);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_in_app_browser_ngx__ = __webpack_require__(293);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_auth_service_auth_service__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__providers_relatorios_estoque_relatorios_estoque__ = __webpack_require__(288);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__pipes_pipes_module__ = __webpack_require__(286);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__providers_database_database__ = __webpack_require__(153);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__ionic_native_unique_device_id__ = __webpack_require__(501);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__ionic_native_sqlite__ = __webpack_require__(241);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__ionic_native_device__ = __webpack_require__(89);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15__ionic_native_barcode_scanner__ = __webpack_require__(289);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16__ionic_native_toast__ = __webpack_require__(291);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_17__providers_balanco_balanco__ = __webpack_require__(300);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_18__ionic_native_native_audio__ = __webpack_require__(299);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_19__providers_cliente_cliente__ = __webpack_require__(294);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_20__providers_cep_cep__ = __webpack_require__(303);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_21__providers_pre_venda_pre_venda__ = __webpack_require__(287);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_22_brmasker_ionic_3__ = __webpack_require__(290);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_23__providers_vendedores_vendedores__ = __webpack_require__(296);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_24__providers_lista_evento_lista_evento__ = __webpack_require__(295);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_25__ionic_storage__ = __webpack_require__(154);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_26__ionic_native_geolocation__ = __webpack_require__(297);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_27__ionic_native_camera__ = __webpack_require__(298);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_28__ionic_native_file_transfer__ = __webpack_require__(237);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_29__ionic_native_file__ = __webpack_require__(239);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_30__ionic_native_document_viewer__ = __webpack_require__(240);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_31__ionic_native_social_sharing__ = __webpack_require__(292);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_32__ionic_native_star_prnt__ = __webpack_require__(302);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_33__ionic_native_clipboard__ = __webpack_require__(502);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_34__ionic_native_bluetooth_serial__ = __webpack_require__(244);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_35__providers_printer_printer__ = __webpack_require__(304);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_36__ionic_native_contacts__ = __webpack_require__(301);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





































var AppModule = /** @class */ (function () {
    function AppModule() {
    }
    AppModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_2__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_6__app_component__["a" /* MyApp */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__["a" /* BrowserModule */],
                __WEBPACK_IMPORTED_MODULE_3_ionic_angular__["g" /* IonicModule */].forRoot(__WEBPACK_IMPORTED_MODULE_6__app_component__["a" /* MyApp */], {}, {
                    links: [
                        { loadChildren: '../pages/cadastrar-servidor/cadastrar-servidor.module#CadastrarServidorPageModule', name: 'CadastrarServidorPage', segment: 'cadastrar-servidor', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/abertura-de-caixa/abertura-de-caixa.module#AberturaDeCaixaPageModule', name: 'AberturaDeCaixaPage', segment: 'abertura-de-caixa', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/cancelamento-de-vendas/cancelamento-de-vendas.module#CancelamentoDeVendasPageModule', name: 'CancelamentoDeVendasPage', segment: 'cancelamento-de-vendas', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/coletar-dados-detalhe/coletar-dados-detalhe.module#ColetarDadosDetalhePageModule', name: 'ColetarDadosDetalhePage', segment: 'coletar-dados-detalhe', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/coletar-dados/coletar-dados.module#ColetarDadosPageModule', name: 'ColetarDadosPage', segment: 'coletar-dados', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/coletar-dados-processar/coletar-dados-processar.module#ColetarDadosProcessarPageModule', name: 'ColetarDadosProcessarPage', segment: 'coletar-dados-processar', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/coletorTabs/coletorTabs.module#ColetorTabsPageModule', name: 'ColetorTabsPage', segment: 'coletorTabs', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/conferencia-pedidos/conferencia-pedidos.module#ConferenciaPedidosPageModule', name: 'ConferenciaPedidosPage', segment: 'conferencia-pedidos', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/consulta-pedidos/consulta-pedidos.module#ConsultaPedidosPageModule', name: 'ConsultaPedidosPage', segment: 'consulta-pedidos', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/devolucao-mercadoria/devolucao-mercadoria.module#DevolucaoMercadoriaPageModule', name: 'DevolucaoMercadoriaPage', segment: 'devolucao-mercadoria', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/filtro/filtro.module#FiltroPageModule', name: 'FiltroPage', segment: 'filtro', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/fluxo-pessoas/fluxo-pessoas.module#FluxoPessoasPageModule', name: 'FluxoPessoasPage', segment: 'fluxo-pessoas', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/devolucao-mercadoria-itens/devolucao-mercadoria-itens.module#DevolucaoMercadoriaItensPageModule', name: 'DevolucaoMercadoriaItensPage', segment: 'devolucao-mercadoria-itens', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/fecha-caixa/fecha-caixa.module#FechaCaixaPageModule', name: 'FechaCaixaPage', segment: 'fecha-caixa', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/cadastro-clientes/cadastro-clientes.module#CadastroClientesPageModule', name: 'CadastroClientesPage', segment: 'cadastro-clientes', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/lista-aniversariantes/lista-aniversariantes.module#ListaAniversariantesPageModule', name: 'ListaAniversariantesPage', segment: 'lista-aniversariantes', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/frente2/frente2.module#Frente2PageModule', name: 'Frente2Page', segment: 'frente2', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/frente1/frente1.module#Frente1PageModule', name: 'Frente1Page', segment: 'frente1', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/home/home.module#HomePageModule', name: 'HomePage', segment: 'home', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/lista-cadastrar-presentes/lista-cadastrar-presentes.module#ListaCadastrarPresentesPageModule', name: 'ListaCadastrarPresentesPage', segment: 'lista-cadastrar-presentes', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/lista-presentes/lista-presentes.module#ListaPresentesPageModule', name: 'ListaPresentesPage', segment: 'lista-presentes', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/lista-de-vez/lista-de-vez.module#ListaDeVezPageModule', name: 'ListaDeVezPage', segment: 'lista-de-vez', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/lista-motivos-desistencia/lista-motivos-desistencia.module#ListaMotivosDesistenciaPageModule', name: 'ListaMotivosDesistenciaPage', segment: 'lista-motivos-desistencia', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/login/login.module#LoginPageModule', name: 'LoginPage', segment: 'login', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/maquininha-tef/maquininha-tef.module#MaquininhaTefPageModule', name: 'MaquininhaTefPage', segment: 'maquininha-tef', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/modal-cielo/modal-cielo.module#ModalCieloPageModule', name: 'ModalCieloPage', segment: 'modal-cielo', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/modal-cliente/modal-cliente.module#ModalClientePageModule', name: 'ModalClientePage', segment: 'modal-cliente', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/modal-conferencia/modal-conferencia.module#ModalConferenciaPageModule', name: 'ModalConferenciaPage', segment: 'modal-conferencia', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/modal-vendas/modal-vendas.module#ModalVendasPageModule', name: 'ModalVendasPage', segment: 'modal-vendas', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/modal-vendedores/modal-vendedores.module#ModalVendedoresPageModule', name: 'ModalVendedoresPage', segment: 'modal-vendedores', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/ponto-colaborador/ponto-colaborador.module#PontoColaboradorPageModule', name: 'PontoColaboradorPage', segment: 'ponto-colaborador', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/pre-venda-detalhe/pre-venda-detalhe.module#PreVendaDetalhePageModule', name: 'PreVendaDetalhePage', segment: 'pre-venda-detalhe', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/pre-venda-cliente/pre-venda-cliente.module#PreVendaClientePageModule', name: 'PreVendaClientePage', segment: 'pre-venda-cliente', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/pre-venda-finalizar/pre-venda-finalizar.module#PreVendaFinalizarPageModule', name: 'PreVendaFinalizarPage', segment: 'pre-venda-finalizar', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/pre-venda-tabs/pre-venda-tabs.module#PreVendaTabsPageModule', name: 'PreVendaTabsPage', segment: 'pre-venda-tabs', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/printer/printer.module#PrinterPageModule', name: 'PrinterPage', segment: 'printer', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/pre-venda-itens/pre-venda-itens.module#PreVendaItensPageModule', name: 'PreVendaItensPage', segment: 'pre-venda-itens', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/splash/splash.module#SplashPageModule', name: 'SplashPage', segment: 'splash', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/register/register.module#RegisterPageModule', name: 'RegisterPage', segment: 'register', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/special/special.module#SpecialPageModule', name: 'SpecialPage', segment: 'special', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/produtos-estoque/produtos-estoque.module#ProdutosEstoquePageModule', name: 'ProdutosEstoquePage', segment: 'produtos-estoque', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/tabs/tabs.module#TabsPageModule', name: 'TabsPage', segment: 'tabs', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/status-link/status-link.module#StatusLinkPageModule', name: 'StatusLinkPage', segment: 'status-link', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/tab1/tab1.module#Tab1PageModule', name: 'Tab1Page', segment: 'tab1', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/tab2/tab2.module#Tab2PageModule', name: 'Tab2Page', segment: 'tab2', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/transferencia-inicio/transferencia-inicio.module#TransferenciaInicioPageModule', name: 'TransferenciaInicioPage', segment: 'transferencia-inicio', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/tela-tef/tela-tef.module#TelaTefPageModule', name: 'TelaTefPage', segment: 'tela-tef', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/transferencia-lojas/transferencia-lojas.module#TransferenciaLojasPageModule', name: 'TransferenciaLojasPage', segment: 'transferencia-lojas', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/transferencia-itens/transferencia-itens.module#TransferenciaItensPageModule', name: 'TransferenciaItensPage', segment: 'transferencia-itens', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/transferencia-detalhes/transferencia-detalhes.module#TransferenciaDetalhesPageModule', name: 'TransferenciaDetalhesPage', segment: 'transferencia-detalhes', priority: 'low', defaultHistory: [] }
                    ]
                }),
                __WEBPACK_IMPORTED_MODULE_1__angular_http__["b" /* HttpModule */],
                __WEBPACK_IMPORTED_MODULE_10__pipes_pipes_module__["a" /* PipesModule */],
                __WEBPACK_IMPORTED_MODULE_22_brmasker_ionic_3__["a" /* BrMaskerModule */],
                __WEBPACK_IMPORTED_MODULE_25__ionic_storage__["a" /* IonicStorageModule */].forRoot() // import do pacotre IonicStorageModule
            ],
            bootstrap: [__WEBPACK_IMPORTED_MODULE_3_ionic_angular__["e" /* IonicApp */]],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_6__app_component__["a" /* MyApp */]
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_34__ionic_native_bluetooth_serial__["a" /* BluetoothSerial */],
                __WEBPACK_IMPORTED_MODULE_5__ionic_native_status_bar__["a" /* StatusBar */],
                __WEBPACK_IMPORTED_MODULE_4__ionic_native_splash_screen__["a" /* SplashScreen */],
                { provide: __WEBPACK_IMPORTED_MODULE_2__angular_core__["v" /* ErrorHandler */], useClass: __WEBPACK_IMPORTED_MODULE_3_ionic_angular__["f" /* IonicErrorHandler */] },
                __WEBPACK_IMPORTED_MODULE_26__ionic_native_geolocation__["a" /* Geolocation */],
                __WEBPACK_IMPORTED_MODULE_8__providers_auth_service_auth_service__["a" /* AuthServiceProvider */],
                __WEBPACK_IMPORTED_MODULE_9__providers_relatorios_estoque_relatorios_estoque__["a" /* RelatoriosEstoqueProvider */],
                __WEBPACK_IMPORTED_MODULE_11__providers_database_database__["a" /* DatabaseProvider */],
                __WEBPACK_IMPORTED_MODULE_20__providers_cep_cep__["a" /* CepProvider */],
                __WEBPACK_IMPORTED_MODULE_12__ionic_native_unique_device_id__["a" /* UniqueDeviceID */],
                __WEBPACK_IMPORTED_MODULE_13__ionic_native_sqlite__["a" /* SQLite */],
                __WEBPACK_IMPORTED_MODULE_14__ionic_native_device__["a" /* Device */],
                __WEBPACK_IMPORTED_MODULE_15__ionic_native_barcode_scanner__["a" /* BarcodeScanner */],
                __WEBPACK_IMPORTED_MODULE_16__ionic_native_toast__["a" /* Toast */],
                __WEBPACK_IMPORTED_MODULE_17__providers_balanco_balanco__["a" /* BalancoProvider */],
                __WEBPACK_IMPORTED_MODULE_18__ionic_native_native_audio__["a" /* NativeAudio */],
                __WEBPACK_IMPORTED_MODULE_19__providers_cliente_cliente__["a" /* ClienteProvider */],
                __WEBPACK_IMPORTED_MODULE_20__providers_cep_cep__["a" /* CepProvider */],
                __WEBPACK_IMPORTED_MODULE_21__providers_pre_venda_pre_venda__["a" /* PreVendaProvider */],
                __WEBPACK_IMPORTED_MODULE_23__providers_vendedores_vendedores__["a" /* VendedoresProvider */],
                __WEBPACK_IMPORTED_MODULE_24__providers_lista_evento_lista_evento__["a" /* ListaEventoProvider */],
                __WEBPACK_IMPORTED_MODULE_27__ionic_native_camera__["a" /* Camera */],
                __WEBPACK_IMPORTED_MODULE_28__ionic_native_file_transfer__["a" /* FileTransfer */],
                __WEBPACK_IMPORTED_MODULE_29__ionic_native_file__["a" /* File */],
                __WEBPACK_IMPORTED_MODULE_30__ionic_native_document_viewer__["a" /* DocumentViewer */],
                __WEBPACK_IMPORTED_MODULE_31__ionic_native_social_sharing__["a" /* SocialSharing */],
                __WEBPACK_IMPORTED_MODULE_32__ionic_native_star_prnt__["a" /* StarPRNT */],
                __WEBPACK_IMPORTED_MODULE_33__ionic_native_clipboard__["a" /* Clipboard */],
                __WEBPACK_IMPORTED_MODULE_7__ionic_native_in_app_browser_ngx__["a" /* InAppBrowser */],
                __WEBPACK_IMPORTED_MODULE_35__providers_printer_printer__["a" /* PrinterProvider */],
                __WEBPACK_IMPORTED_MODULE_36__ionic_native_contacts__["c" /* Contacts */]
            ]
        })
    ], AppModule);
    return AppModule;
}());

//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 474:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return GroupEstoquePipe; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_add_operator_map__ = __webpack_require__(88);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_add_operator_filter__ = __webpack_require__(242);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_add_operator_filter___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_add_operator_filter__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



/**
 * Generated class for the GroupEstoquePipe pipe.
 *
 * See https://angular.io/api/core/Pipe for more info on Angular Pipes.
 */
var GroupEstoquePipe = /** @class */ (function () {
    function GroupEstoquePipe() {
    }
    GroupEstoquePipe.prototype.transform = function (items) {
        if (items) {
            this.data = items;
            // a.substr(0,4) ANO
            // a.substr(5,2) MES
            // a.substr(8,2) DIA
            return this.data.substr(8, 2) + "/" + this.data.substr(5, 2) + "/" + this.data.substr(0, 4);
        }
        //return this.data;    
    };
    GroupEstoquePipe = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["T" /* Pipe */])({
            name: 'groupEstoque',
            pure: false,
        })
    ], GroupEstoquePipe);
    return GroupEstoquePipe;
}());

//# sourceMappingURL=group-estoque.js.map

/***/ }),

/***/ 477:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ArredondamentoPipe; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_add_operator_map__ = __webpack_require__(88);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_add_operator_filter__ = __webpack_require__(242);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_add_operator_filter___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_add_operator_filter__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



/**
 * Generated class for the GroupEstoquePipe pipe.
 *
 * See https://angular.io/api/core/Pipe for more info on Angular Pipes.
 */
var ArredondamentoPipe = /** @class */ (function () {
    function ArredondamentoPipe() {
    }
    ArredondamentoPipe.prototype.transform = function (items) {
        return this.decimalAdjust('round', items, -2);
    };
    ArredondamentoPipe.prototype.decimalAdjust = function (type, value, exp) {
        // If the exp is undefined or zero...
        if (typeof exp === 'undefined' || +exp === 0) {
            return Math[type](value);
        }
        value = +value;
        exp = +exp;
        // If the value is not a number or the exp is not an integer...
        if (isNaN(value) || !(typeof exp === 'number' && exp % 1 === 0)) {
            return NaN;
        }
        // Shift
        value = value.toString().split('e');
        value = Math[type](+(value[0] + 'e' + (value[1] ? (+value[1] - exp) : -exp)));
        // Shift back
        value = value.toString().split('e');
        return +(value[0] + 'e' + (value[1] ? (+value[1] + exp) : exp));
    };
    ArredondamentoPipe = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["T" /* Pipe */])({
            name: 'arredondamento',
            pure: false,
        })
    ], ArredondamentoPipe);
    return ArredondamentoPipe;
}());

//# sourceMappingURL=arredondamento.js.map

/***/ }),

/***/ 478:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ConverterDataPipe; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};

/**
 * Generated class for the ConverterDataPipe pipe.
 *
 * See https://angular.io/api/core/Pipe for more info on Angular Pipes.
 */
var ConverterDataPipe = /** @class */ (function () {
    function ConverterDataPipe() {
    }
    ConverterDataPipe.prototype.transform = function (value) {
        if (value) {
            this.data = value;
            return this.data.substr(8, 2) + "/" + this.data.substr(5, 2) + "/" + this.data.substr(0, 4);
        }
        // console.log(value);
        return value;
    };
    ConverterDataPipe = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["T" /* Pipe */])({
            name: 'converterData',
            pure: false,
        })
    ], ConverterDataPipe);
    return ConverterDataPipe;
}());

//# sourceMappingURL=converter-data.js.map

/***/ }),

/***/ 479:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FormatarDinheiroPipe; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};

/**
 * Generated class for the FormatarDinheiroPipe pipe.
 *
 * See https://angular.io/api/core/Pipe for more info on Angular Pipes.
 */
var FormatarDinheiroPipe = /** @class */ (function () {
    function FormatarDinheiroPipe() {
    }
    FormatarDinheiroPipe.prototype.transform = function (value) {
        if (value) {
            this.data = value;
            return this.data.toFixed(2).replace('.', ',').replace(/(\d)(?=(\d{3})+\,)/g, "$1.");
        }
        // console.log(value);
        return value;
    };
    FormatarDinheiroPipe = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["T" /* Pipe */])({
            name: 'formatarDinheiro',
        })
    ], FormatarDinheiroPipe);
    return FormatarDinheiroPipe;
}());

//# sourceMappingURL=formatar-dinheiro.js.map

/***/ }),

/***/ 480:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ArredondarPipe; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};

/**
 * Generated class for the ArredondarPipe pipe.
 *
 * See https://angular.io/api/core/Pipe for more info on Angular Pipes.
 */
var ArredondarPipe = /** @class */ (function () {
    function ArredondarPipe() {
    }
    ArredondarPipe.prototype.transform = function (value) {
        if (value) {
            this.data = value;
            return this.data.toFixed(2);
        }
        return value;
    };
    ArredondarPipe = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["T" /* Pipe */])({
            name: 'arredondar',
        })
    ], ArredondarPipe);
    return ArredondarPipe;
}());

//# sourceMappingURL=arredondar.js.map

/***/ }),

/***/ 500:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__ = __webpack_require__(285);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(284);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_database_database__ = __webpack_require__(153);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_storage__ = __webpack_require__(154);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_auth_service_auth_service__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_rxjs__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_device__ = __webpack_require__(89);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var channel = {
    id: "my_channel_id",
    sound: "mysound",
    vibration: true,
    light: true,
    lightColor: parseInt("#FFFFFF", 16).toString(),
    importance: 4,
    badge: true,
    visibility: 1
};
var MyApp = /** @class */ (function () {
    function MyApp(platform, statusBar, storage, splashScreen, dbProvider, auth, alertCtrl, device) {
        var _this = this;
        this.platform = platform;
        this.storage = storage;
        this.dbProvider = dbProvider;
        this.auth = auth;
        this.alertCtrl = alertCtrl;
        this.device = device;
        this.rootPage = 'LoginPage';
        this.movel = false;
        this.web = false;
        this.logado = false;
        platform.ready().then(function (res) {
            // Okay, so the platform is ready and our plugins are available.
            // Here you can do any higher level native things you might need.      
            statusBar.styleDefault();
            _this.web = res == 'cordova' ? false : true;
            auth.web = _this.web;
            _this.auth.device = device.uuid;
            for (var i = 0; i < _this.platform.platforms().length; i++) {
                var element = _this.platform.platforms()[i];
                if (element == "ios" || element == "android") {
                    _this.movel = true;
                    auth.movel = true;
                }
                if (element == "core") {
                    _this.web = true;
                    auth.web = true;
                }
            }
            if (_this.platform.is('mobileweb')) {
                // This will only print when on iOS
                _this.web = true;
                auth.web = true;
            }
            if (_this.movel == true && auth.web == false && device.uuid != null) {
                _this.solicitarTokenDoFirebase();
                _this.firebasePlugin = window.FirebasePlugin;
                _this.firebasePlugin.onMessageReceived(_this.onMessageReceived.bind(_this));
                _this.firebasePlugin.createChannel(channel, function () {
                    console.log('Channel created: ' + channel.id);
                }, function (error) {
                    console.log('Create channel error: ' + error);
                });
                dbProvider.createDatabase()
                    .then(function () {
                    _this.openHomePage(splashScreen);
                }).catch(function () {
                    _this.openHomePage(splashScreen);
                });
            }
            else {
                _this.openHomePage(splashScreen);
            }
            splashScreen.hide();
        });
    }
    MyApp.prototype.solicitarTokenDoFirebase = function () {
        var _this = this;
        window.FirebasePlugin.onTokenRefresh(function (token) { return _this.auth.tokenFCM = token; }, console.log('token:' + this.auth.tokenFCM));
    };
    MyApp.prototype.iniciarListenerDeNotificacoes = function () {
        window.FirebasePlugin.onMessageReceived(function (message) {
            console.log(message);
            if (message.tap) {
                console.log("Notification was tapped in the " + message.tap);
            }
        });
    };
    MyApp.prototype.onNotificationOpen = function () {
        return new __WEBPACK_IMPORTED_MODULE_7_rxjs__["Observable"](function (observer) {
            window.FirebasePlugin.onMessageReceived(function (response) {
                observer.next(response);
            });
        });
    };
    MyApp.prototype.onMessageReceived = function (message) {
        if (message.tap) {
            console.log("Notification was tapped in the " + message.tap);
        }
        /*const alert = this.alertCtrl.create({
          title: 'Message received',
          subTitle: JSON.stringify(message),
          buttons: ['OK']
        });
        alert.present();*/
    };
    MyApp.prototype.enviarTokenParaOservidor = function (token) {
        //lógica para enviar o token para o seu servidor através da sua api
    };
    MyApp.prototype.openHomePage = function (splashScreen) {
        var _this = this;
        // splashScreen.hide();
        this.storage.get('ID').then(function (val) {
            if (val != null) {
                var element = val;
                if (element.LOGADO != false) {
                    _this.logado = true;
                    _this.auth.Id = element.ID;
                    _this.auth.Usuario.nome = element.NOME;
                    _this.auth.Usuario.loja = element.LOJA;
                    _this.auth.Usuario.descvenda = element.DESCVENDA;
                }
                // this.openHomePage(splashScreen);        
            }
        });
        if (this.movel == false) {
            this.storage.get('servidor').then(function (val) {
                if (val != null) {
                    if (_this.logado == true) {
                        _this.rootPage = 'HomePage';
                    }
                    else if (val.length > 0 && _this.logado == false) {
                        _this.rootPage = 'LoginPage';
                    }
                }
                else {
                    _this.rootPage = 'CadastrarServidorPage';
                }
            });
        }
        else {
            this.dbProvider.consultarServidores().then(function (result) {
                if (result.length == 0) {
                    _this.servidores = result;
                    _this.rootPage = 'CadastrarServidorPage';
                }
                else {
                    _this.rootPage = 'LoginPage';
                }
            }, function (error) {
                console.log("ERROR: ", error);
            });
        }
    };
    MyApp = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({template:/*ion-inline-start:"C:\mobile\forcaDeVendas\src\app\app.html"*/'<ion-nav [root]="rootPage"></ion-nav>\n'/*ion-inline-end:"C:\mobile\forcaDeVendas\src\app\app.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* Platform */], __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__["a" /* StatusBar */], __WEBPACK_IMPORTED_MODULE_5__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */], __WEBPACK_IMPORTED_MODULE_4__providers_database_database__["a" /* DatabaseProvider */], __WEBPACK_IMPORTED_MODULE_6__providers_auth_service_auth_service__["a" /* AuthServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */], __WEBPACK_IMPORTED_MODULE_8__ionic_native_device__["a" /* Device */]])
    ], MyApp);
    return MyApp;
}());

//# sourceMappingURL=app.component.js.map

/***/ })

},[305]);
//# sourceMappingURL=main.js.map